<?php
session_start();
date_default_timezone_set('America/Bahia');
ini_set('max_execution_time', 300); //300 seconds = 5 minutes

//require_once("./config/conexao.php");
//$conn = conn();

if(!empty($_FILES['file_arquivo']['tmp_name'])){
	$arquivo = new DomDocument();
	$arquivo->load($_FILES['file_arquivo']['tmp_name']);
	$linhas = $arquivo->getElementsByTagName("Row");
	$remove_linha_zero = true;
	$token = $_POST['token'];
	
	//$array_produtos_novos = [];
	$novos_prod = 0;
	$update_prod = 0;
	
	$pg = array ();
	
	foreach($linhas as $key => $linha){
		if($remove_linha_zero == false){
			
			@$QTD   		= $linha->getElementsByTagName("Data")->item(0)->nodeValue;
			@$GRUPO   		= $linha->getElementsByTagName("Data")->item(1)->nodeValue;
			@$CODIGO   		= $linha->getElementsByTagName("Data")->item(2)->nodeValue;
			@$DESCRICAO     = str_replace("'","´",$linha->getElementsByTagName("Data")->item(3)->nodeValue);
			@$SALDO   		= $linha->getElementsByTagName("Data")->item(4)->nodeValue;
			@$APLICA        = str_replace("'","´",$linha->getElementsByTagName("Data")->item(5)->nodeValue);
			@$REF1   		= $linha->getElementsByTagName("Data")->item(6)->nodeValue;
			@$REF2   		= $linha->getElementsByTagName("Data")->item(7)->nodeValue;
			@$PROCEDECIA	= $linha->getElementsByTagName("Data")->item(8)->nodeValue;
			
			
			$l = array($QTD,$GRUPO,$CODIGO,$DESCRICAO,$SALDO,$APLICA,$REF1,$REF2,$PROCEDECIA);

			
			//echo $CODIGO."<br>";
			array_push($pg, $l);


			/**
			* Primeiro passo: verifico se o código de barras já existe
			* Caso sim eu atualizao as informações de valor e quantidade
			* Caso não eu adiciono como um novo produto
			*/
			
			/*
			if(!empty($barras) && !empty($nome_produto)){
				$getDados = mysqli_fetch_array(mysqli_query($conn, "SELECT COUNT(*) as cont FROM ocpv_product WHERE upc = '$barras'"));
				
				$nome_produto = ucwords(strtolower($nome_produto));
				
				if($getDados['cont'] <= 0){
					//Adiciono um novo produto
					$query = mysqli_query($conn, "INSERT INTO ocpv_product(model,upc,quantity,price,status) VALUES('$nome_produto','$barras','$estoque','$preco','1')");
					if($query){
						//Caso o produto seja inserido eu resgato o ID
						$getLastID = mysqli_fetch_array(mysqli_query($conn, "SELECT product_id FROM ocpv_product WHERE upc = '$barras'"));
						if(!empty($getLastID)){
							$last_id = $getLastID['product_id'];
							//Adiciono o nome do produto na tabela de ocpv_product_description
							$setDescription = mysqli_query($conn, "INSERT INTO ocpv_product_description(product_id,language_id,name,meta_title) 
								VALUES('$last_id','2','$nome_produto','$nome_produto')");
								
							//array_push($array_produtos_novos,"");	
						}
					}
					$msg = "Produto criado com sucesso!";
					$novos_prod++;					
				}else{
					//Atualizo as informações de valor e quantidade deste produto
					$getLastID = mysqli_fetch_array(mysqli_query($conn, "SELECT product_id FROM ocpv_product WHERE upc = '$barras'"));
					if(!empty($getLastID)){
						$last_id = $getLastID['product_id'];
						$query = mysqli_query($conn, "UPDATE ocpv_product SET quantity = '$estoque', price = '$preco', `status` = 1 WHERE product_id = '$last_id'");
					}
					$msg = "Produto atualizado com sucesso!";
					$update_prod++;					
				}

				if($query){
					$imp = true;
					if($msg == "Produto criado com sucesso!"){
						echo "<b>Código de Barras:</b> ".$barras." | ";
						echo "<b>Nome do Produto:</b> ".$nome_produto." | ";
						echo "<span style='background: green;color: #fff;'>$msg</span> | ";
						//echo "<a href='https://artefeitoscrap.com.br/admin/index.php?route=catalog/product/edit&user_token=$token&product_id=$last_id' target='_blank'>Link do produto</a><br><hr>";
					}
				}else{
					$erro = mysqli_error($conn);
					echo "<span style='background: red;color: #fff;'>Falha!".$erro." - ".$barras."</span><br>";
				}
			} */

		}
		$remove_linha_zero = false;
	}
	
	echo json_encode($pg);
	/*
	if($imp == true){
		echo "<span style='background: #333;color: #fff;padding: 6px;'>Importação concluída com sucesso! $novos_prod Novos Produtos | $update_prod Produtos Atualizados</span><hr>";
		//echo "<a href='https://artefeitoscrap.com.br/import/index.php?token=$token'>Voltar para tela de importação</a>";
	}*/
	
}